CollectionsDirect DebitBatch Collections

List Batch Direct Debit Collections

GET
/v1/direct-debit-payment-batches

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

curl -X GET "https://example.com/v1/direct-debit-payment-batches"
{  "data": [    {      "createdAt": "string",      "currency": "string",      "id": "string",      "metadata": {        "fileName": "string"      },      "paymentDate": "string",      "payments": [        {          "amount": 0,          "createdAt": "string",          "currency": "string",          "customerReference": "string",          "directDebitAuthorizationId": "string",          "directDebitAuthorizationInformation": {            "billReferenceNumber": "string",            "internalAccountId": "string",            "payerBankAccountNumber": "string",            "payerName": "string",            "payerSwiftBic": "string"          },          "id": "string",          "receiver": {            "bankAccountNumber": "string"          },          "resultCode": "string",          "status": "string",          "updatedAt": "string"        }      ],      "status": "string",      "type": "string",      "updatedAt": "string"    }  ],  "hasMore": true}